# Uses of Class io.dapr.client.domain.InvokeBindingRequest (dapr-sdk-parent 1.12.2 API)
use: package: io.dapr.client.domain, class: InvokeBindingRequest

# Uses of Class
io.dapr.client.domain.InvokeBindingRequest

Packages that use InvokeBindingRequest
Package
Description
io.dapr.client
io.dapr.client.domain

## Uses of InvokeBindingRequest in io.dapr.client

Methods in io.dapr.client with parameters of type InvokeBindingRequest
Modifier and Type
Method
Description
`<T> reactor.core.publisher.Mono<T>`
DaprClient.`invokeBinding(InvokeBindingRequest request, TypeRef<T> type)`
Invokes a Binding operation.
`<T> reactor.core.publisher.Mono<T>`
DaprClientImpl.`invokeBinding(InvokeBindingRequest request, TypeRef<T> type)`
Invokes a Binding operation.

## Uses of InvokeBindingRequest in io.dapr.client.domain

Methods in io.dapr.client.domain that return InvokeBindingRequest
Modifier and Type
Method
Description
`InvokeBindingRequest`
InvokeBindingRequest.`setData(Object data)`
`InvokeBindingRequest`
InvokeBindingRequest.`setMetadata(Map<String,String> metadata)`